Bug 103184 - [CI] [DRMTIP] igt@kms_draw_crc@draw-method-* - fail - CRC mismatch
Summary: [CI] [DRMTIP] igt@kms_draw_crc@draw-method-* - fail - CRC mismatch
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Stanislav Lisovskiy
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
: 107791 (view as bug list)
Depends on: 103191
Blocks: 105978
  Show dependency treegraph
 
Reported: 2017-10-10 08:18 UTC by Marta Löfstedt
Modified: 2019-05-16 10:00 UTC (History)
2 users (show)

See Also:
i915 platform: BXT, BYT, CFL, GLK, HSW, ICL, KBL, SKL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2017-10-10 08:18:18 UTC
CI_DRM_3197 APL-shards igt@kms_draw_crc@draw-method-rgb565-mmap-cpu-untiled:
	
Fail:
(kms_draw_crc:1444) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:346:
(kms_draw_crc:1444) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-rgb565-mmap-cpu-untiled failed.

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3197/shard-apl2/igt@kms_draw_crc@draw-method-rgb565-mmap-cpu-untiled.html
Comment 1 Marta Löfstedt 2017-10-12 11:34:42 UTC
Also,

(kms_draw_crc:2613) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:346:
(kms_draw_crc:2613) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-rgb565-mmap-gtt-ytiled failed.

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3222/shard-kbl5/igt@kms_draw_crc@draw-method-rgb565-mmap-gtt-ytiled.html
Comment 4 Marta Löfstedt 2017-11-09 08:44:45 UTC
IGT patchwork:

(kms_draw_crc:1548) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:346:
(kms_draw_crc:1548) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-xrgb2101010-mmap-wc-xtiled failed.

https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_479/shard-hsw5/igt@kms_draw_crc@draw-method-xrgb2101010-mmap-wc-xtiled.html
Comment 5 Marta Löfstedt 2018-02-19 08:07:32 UTC
This issue hasn't been reproduced since November
Comment 6 Marta Löfstedt 2018-02-28 12:00:08 UTC
I re-open this but so far only for GLK-shards:

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4309/shard-glkb2/igt@kms_draw_crc@draw-method-rgb565-blt-ytiled.html


(kms_draw_crc:1751) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:370:
(kms_draw_crc:1751) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-rgb565-blt-ytiled failed.
Comment 7 Marta Löfstedt 2018-03-02 12:28:01 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4319/shard-glkb2/igt@kms_draw_crc@draw-method-rgb565-mmap-wc-ytiled.html


(kms_draw_crc:1606) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:370:
(kms_draw_crc:1606) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-rgb565-mmap-wc-ytiled failed.
Comment 9 Marta Löfstedt 2018-03-13 06:39:43 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4347/shard-apl6/igt@kms_draw_crc@draw-method-xrgb2101010-render-xtiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4348/shard-apl8/igt@kms_draw_crc@draw-method-xrgb2101010-mmap-wc-ytiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4346/shard-apl1/igt@kms_draw_crc@draw-method-xrgb2101010-blt-ytiled.html

(kms_draw_crc:1734) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_draw_crc:1734) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-xrgb2101010-render-xtiled failed.
Comment 11 Marta Löfstedt 2018-03-19 15:05:01 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_3/fi-skl-6600u/igt@kms_draw_crc@draw-method-xrgb8888-render-untiled.html

(kms_draw_crc:3903) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_draw_crc:3903) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-xrgb8888-render-untiled failed.
Comment 13 Martin Peres 2018-04-12 16:35:41 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_7/fi-pnv-d510/igt@kms_draw_crc@draw-method-xrgb8888-blt-xtiled.html

(kms_draw_crc:2679) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_draw_crc:2679) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-rgb565-blt-xtiled failed.



https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_7/fi-pnv-d510/igt@kms_draw_crc@draw-method-rgb565-blt-xtiled.html

(kms_draw_crc:1212) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_draw_crc:1212) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-xrgb8888-blt-xtiled failed.
Comment 14 Martin Peres 2018-04-18 13:25:10 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_22/fi-skl-6600u/igt@kms_draw_crc@draw-method-xrgb2101010-pwrite-untiled.html

(kms_draw_crc:1363) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_draw_crc:1363) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-xrgb2101010-pwrite-untiled failed.
Comment 15 Martin Peres 2018-07-17 08:41:58 UTC
Now also seen on GLK:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4476/shard-glk3/igt@kms_draw_crc@draw-method-rgb565-mmap-gtt-ytiled.html

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4552/shard-glk2/igt@kms_draw_crc@draw-method-rgb565-mmap-gtt-ytiled.html

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4558/shard-glk8/igt@kms_draw_crc@draw-method-xrgb8888-mmap-wc-ytiled.html

....

(kms_draw_crc:1357) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_draw_crc:1357) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-xrgb8888-mmap-wc-ytiled failed.
Comment 16 Martin Peres 2018-07-20 10:55:56 UTC
Once in a blue moon, we can also fail fill-fb:

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4566/shard-glk3/igt@kms_draw_crc@fill-fb.html

(kms_draw_crc:20313) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_draw_crc:20313) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest fill-fb failed.
Comment 17 Martin Peres 2018-08-07 14:39:18 UTC
Also seen on ICL: https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_92/fi-icl-u/igt@kms_draw_crc@draw-method-rgb565-mmap-cpu-xtiled.html

(kms_draw_crc:1340) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_draw_crc:1340) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-rgb565-mmap-cpu-xtiled failed.

*ERROR* CPU pipe A FIFO underrun
Comment 18 Stanislav Lisovskiy 2018-08-23 11:58:51 UTC
I've noticed an interesting correlation in dmesg logs for this bug: for ICL and SKL, crc verification always fails when we get FIFO underrun in between:

 96.710052] [IGT] kms_draw_crc: starting subtest draw-method-rgb565-mmap-cpu-xtiled
<7>[   96.710303] [drm:drm_mode_addfb2] [FB:108]
<7>[   96.710359] [drm:drm_mode_addfb2] [FB:108]
<7>[   96.754277] [drm:drm_mode_setcrtc] [CRTC:41:pipe A]
<7>[   96.754309] [drm:drm_mode_setcrtc] [CONNECTOR:71:eDP-1]
<7>[   96.854202] [drm:drm_mode_addfb2] [FB:108]
<7>[   97.055161] [drm:drm_mode_setcrtc] [CRTC:41:pipe A]
<7>[   97.055220] [drm:drm_mode_setcrtc] [CONNECTOR:71:eDP-1]
<3>[   97.116516] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
<7>[   97.116837] [drm:intel_fbc_underrun_work_fn [i915]] Disabling FBC due to FIFO underrun.
<7>[   97.148943] [IGT] kms_draw_crc: exiting, ret=99

Same pattern happens for all cases, for those architectures.

I will continue investigating.
Comment 19 Martin Peres 2018-09-14 12:05:27 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_110/fi-icl-u/igt@kms_draw_crc@fill-fb.html

(kms_draw_crc:1537) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:392:
(kms_draw_crc:1537) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest fill-fb failed.
Comment 20 Martin Peres 2018-09-14 12:08:29 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_110/fi-icl-u/igt@kms_plane@pixel-format-pipe-b-planes.html

Starting subtest: pixel-format-pipe-B-planes
(kms_plane:2166) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:392:
(kms_plane:2166) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pixel-format-pipe-B-planes failed.
Comment 21 Martin Peres 2018-10-09 15:11:56 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_121/fi-whl-u/igt@kms_draw_crc@draw-method-rgb565-mmap-gtt-xtiled.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_121/fi-kbl-r/igt@kms_draw_crc@draw-method-rgb565-mmap-gtt-xtiled.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_121/fi-bxt-dsi/igt@kms_draw_crc@draw-method-rgb565-mmap-gtt-xtiled.html

Starting subtest: draw-method-rgb565-mmap-gtt-xtiled
(kms_draw_crc:1166) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:392:
(kms_draw_crc:1166) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-rgb565-mmap-gtt-xtiled failed.
Comment 22 Martin Peres 2018-10-17 09:43:46 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_129/fi-bxt-dsi/igt@kms_draw_crc@fill-fb.html

Starting subtest: fill-fb
(kms_draw_crc:3422) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:392:
(kms_draw_crc:3422) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest fill-fb failed.
Comment 23 Martin Peres 2018-10-18 09:01:29 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_130/fi-bxt-dsi/igt@kms_draw_crc@draw-method-rgb565-mmap-gtt-ytiled.html

Starting subtest: draw-method-rgb565-mmap-gtt-ytiled
(kms_draw_crc:1082) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:392:
(kms_draw_crc:1082) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-rgb565-mmap-gtt-ytiled failed.
Comment 24 Martin Peres 2018-10-26 15:14:19 UTC
Results from KBL
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_133/fi-kbl-r/igt@kms_draw_crc@draw-method-xrgb2101010-mmap-cpu-untiled.html

Starting subtest: draw-method-xrgb2101010-mmap-cpu-untiled
(kms_draw_crc:1313) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:392:
(kms_draw_crc:1313) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-xrgb2101010-mmap-cpu-untiled failed.
Comment 25 Martin Peres 2018-10-30 16:27:09 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_134/fi-kbl-r/igt@kms_draw_crc@fill-fb.html

Starting subtest: fill-fb
(kms_draw_crc:2889) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:419:
(kms_draw_crc:2889) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest fill-fb failed.
Comment 26 Stanislav Lisovskiy 2018-11-06 09:50:36 UTC
I've compared the logs of failing kms_draw_crc cases and those which pass: 
in all those which fail there seem to be no skl_compute_wm watermark recalculation triggered after drm_mode_setcrtc. And all those which pass have it.
I will push some experimental changes soon.
Comment 27 Lakshmi 2018-12-05 14:46:14 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_147/fi-bxt-dsi/igt@kms_draw_crc@draw-method-xrgb2101010-mmap-cpu-ytiled.html

Starting subtest: draw-method-xrgb2101010-mmap-cpu-ytiled
(kms_draw_crc:1231) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:419:
(kms_draw_crc:1231) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest draw-method-xrgb2101010-mmap-cpu-ytiled failed.
**** DEBUG ****
(kms_draw_crc:1231) DEBUG: Test requirement passed: !(method == IGT_DRAW_MMAP_WC && !gem_mmap__has_wc(drm_fd))
(kms_draw_crc:1231) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(kms_draw_crc:1231) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(kms_draw_crc:1231) ioctl_wrappers-DEBUG: Test requirement passed: igt_has_fb_modifiers(fd)
(kms_draw_crc:1231) DEBUG: Test requirement passed: format_is_supported(formats[format_index], tiling)
(kms_draw_crc:1231) igt_fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1200, format=0x30335258, tiling=0x0, size=0)
(kms_draw_crc:1231) igt_fb-DEBUG: igt_create_fb_with_bo_size(handle=1, pitch=7680)
(kms_draw_crc:1231) ioctl_wrappers-DEBUG: Test requirement passed: igt_has_fb_modifiers(fd)
(kms_draw_crc:1231) igt_fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1200, format=0x30335258, tiling=0x100000000000002, size=0)
(kms_draw_crc:1231) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(kms_draw_crc:1231) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(kms_draw_crc:1231) igt_fb-DEBUG: igt_create_fb_with_bo_size(handle=1, pitch=7680)
(kms_draw_crc:1231) ioctl_wrappers-DEBUG: Test requirement passed: igt_has_fb_modifiers(fd)
(kms_draw_crc:1231) igt_draw-DEBUG: Test requirement passed: gem_get_tiling(fd, buf->handle, &tiling, &swizzle)
(kms_draw_crc:1231) igt_draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_draw_crc:1231) igt_draw-DEBUG: Test requirement passed: gem_get_tiling(fd, buf->handle, &tiling, &swizzle)
(kms_draw_crc:1231) igt_draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_draw_crc:1231) igt_draw-DEBUG: Test requirement passed: gem_get_tiling(fd, buf->handle, &tiling, &swizzle)
(kms_draw_crc:1231) igt_draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_draw_crc:1231) igt_draw-DEBUG: Test requirement passed: gem_get_tiling(fd, buf->handle, &tiling, &swizzle)
(kms_draw_crc:1231) igt_draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_draw_crc:1231) igt_draw-DEBUG: Test requirement passed: gem_get_tiling(fd, buf->handle, &tiling, &swizzle)
(kms_draw_crc:1231) igt_draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_draw_crc:1231) igt_debugfs-DEBUG: CRC mismatch at index 0: 0xa7d2607 != 0x5965f12f
(kms_draw_crc:1231) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:419:
(kms_draw_crc:1231) igt_debugfs-CRITICAL: Failed assertion: !mismatch
(kms_draw_crc:1231) igt_core-INFO: Stack trace:
(kms_draw_crc:1231) igt_core-INFO:   #0 ../lib/igt_core.c:1467 __igt_fail_assert()
(kms_draw_crc:1231) igt_core-INFO:   #1 ../lib/igt_debugfs.c:420 igt_assert_crc_equal()
(kms_draw_crc:1231) igt_core-INFO:   #2 ../tests/kms_draw_crc.c:196 draw_method_subtest()
(kms_draw_crc:1231) igt_core-INFO:   #3 ../tests/kms_draw_crc.c:329 __real_main318()
(kms_draw_crc:1231) igt_core-INFO:   #4 ../tests/kms_draw_crc.c:318 main()
(kms_draw_crc:1231) igt_core-INFO:   #5 ../csu/libc-start.c:344 __libc_start_main()
(kms_draw_crc:1231) igt_core-INFO:   #6 [_start+0x2a]
****  END  ****
Subtest draw-method-xrgb2101010-mmap-cpu-ytiled: FAIL (0.587s)
Comment 28 CI Bug Log 2018-12-31 14:29:14 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BXT SKL GLK KBL ICL: igt@kms_draw_crc@fill-fb - fail - Failed assertion: !mismatch -}
{+ BXT SKL GLK KBL WHL ICL: igt@kms_draw_crc@fill-fb - fail - Failed assertion: !mismatch +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_169/fi-whl-u/igt@kms_draw_crc@fill-fb.html
Comment 29 CI Bug Log 2018-12-31 14:55:02 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BXT SKL GLK KBL WHL ICL: igt@kms_draw_crc@fill-fb - fail - Failed assertion: !mismatch -}
{+ BYT BXT SKL GLK KBL WHL ICL: igt@kms_draw_crc@fill-fb - fail - Failed assertion: !mismatch +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_172/fi-byt-clapper/igt@kms_draw_crc@fill-fb.html
Comment 30 CI Bug Log 2019-01-29 14:51:17 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BXT SKL APL KBL GLK ICL: igt@kms_draw_crc@draw-method-x?rgb* - Failed assertion: !mismatch -}
{+ BXT SKL APL KBL GLK WHL ICL: igt@kms_draw_crc@draw-method-x?rgb* - Failed assertion: !mismatch +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_197/fi-whl-u/igt@kms_draw_crc@draw-method-rgb565-render-ytiled.html
Comment 31 Martin Peres 2019-04-03 12:56:43 UTC
ICL used to see the problem every single drmtip run until drmtip_218, then only seen twice since. So ICL has a lower priority now.

SKL issues are likely due to https://bugs.freedesktop.org/show_bug.cgi?id=103191, so let's wait for it to be fixed.

As for BLB, the issue seems real, but the platform is not exactly state of the art (released in 2007), so this will be fixed in time, when someone has time.

The customer impact of this issue is likely very low because SKL fails quite a lot, yet we see no customer reports and my SKL machine is working pretty well, so I assume that the problem is limited to testabilty. Because of this, let's set the priority to medium.
Comment 32 Martin Peres 2019-04-15 08:40:48 UTC
*** Bug 107791 has been marked as a duplicate of this bug. ***
Comment 33 CI Bug Log 2019-04-15 08:41:20 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BXT SKL APL KBL GLK WHL ICL: igt@kms_draw_crc@draw-method-x?rgb* - Failed assertion: !mismatch -}
{+ BXT SKL APL KBL GLK WHL ICL: igt@kms_draw_crc@draw-method-x?rgb* - fail - Failed assertion: !mismatch +}

 No new failures caught with the new filter
Comment 34 CI Bug Log 2019-04-15 08:42:41 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BXT SKL APL KBL GLK WHL ICL: igt@kms_draw_crc@draw-method-x?rgb* - fail - Failed assertion: !mismatch -}
{+ BLB PNV BXT SKL APL KBL GLK WHL ICL: igt@kms_draw_crc@draw-method-x?rgb* - fail - Failed assertion: !mismatch +}

 No new failures caught with the new filter
Comment 35 CI Bug Log 2019-04-15 08:42:59 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BLB PNV BXT SKL APL KBL GLK WHL ICL: igt@kms_draw_crc@draw-method-x?rgb* - fail - Failed assertion: !mismatch -}
{+ BLB PNV BXT SKL APL KBL GLK WHL ICL: igt@kms_draw_crc@draw-method-* - fail - Failed assertion: !mismatch +}

 No new failures caught with the new filter
Comment 36 CI Bug Log 2019-04-15 08:43:17 UTC
The CI Bug Log issue associated to this bug has been updated.

### Removed filters

* fi-blb-e6850 fi-pnv-d510 BXT KBL WHL: igt@kms_draw_crc@draw-method-(.*)-xtiled - Failed assertion: !mismatch (added on 6 months, 1 week ago)
* BXT shard-glk WHL: igt@kms_draw_crc@draw-method-rgb565-(blt|mmap-wc|mmap-gtt)-ytiled - Failed assertion: !mismatch (added on 5 months, 3 weeks ago)
Comment 37 Daniel Vetter 2019-04-15 08:50:13 UTC
See also bug #103167
Comment 38 CI Bug Log 2019-05-16 10:00:52 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT BXT SKL GLK KBL WHL ICL: igt@kms_draw_crc@fill-fb - fail - Failed assertion: !mismatch -}
{+ BYT BXT SKL GLK KBL WHL CML ICL: igt@kms_draw_crc@fill-fb - fail - Failed assertion: !mismatch +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_286/fi-cml-u/igt@kms_draw_crc@fill-fb.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.